Bug 51749 - rpm 4.0.3 could not install package build with rpm 4.0.1
Summary: rpm 4.0.3 could not install package build with rpm 4.0.1
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.1k
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL: https://qa.mandrakesoft.com/~warly/do...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-14 18:15 UTC by Need Real Name
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-14 18:15:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-08-14 18:15:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010802

Description of problem:
some packages built with old rpm package (likely 4.0.1) are not
correctly installed with rpm 4.0.3 (cvs snapshot 2001 08 13). It works
with rpm snapshot of 2001 07 18

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. download https://qa.mandrakesoft.com/~warly/doc/rpm/ files
2. make rpm2header binary
3. on a system with the latest rpm, do ./rpm2header
basesystem-8.0-5mdk.i586.rpm (built with rpm 4.0.1), this does not work, do
./rpm2header basesystem-8.0-6mdk.i586.rpm (built with 4.0.3), that works.
	

Actual Results:  rpmlib does not manage to get header of packages built
with old rpms.

Additional info:

basesystem-8.0-5mdk.i586.rpm and basesystem-8.0-6mdk.i586.rpm are the
same package, basesystem-8.0-6mdk.i586.rpm is just a rpm --rebuild of
basesystem-8.0-5mdk.i586.rpm

Comment 1 Jeff Johnson 2001-08-15 13:38:51 UTC
I haven't checked your packages, but I think I know what went
south. In the process of trying to build the Mandrake locales package
with i18n tags, there's a test at the end of regionSwab() that is not only no
longer
necessary, but also prevents legacy package installs.

Check in in a moment, will be in rpm-4.0.3-0.92.

Comment 2 Need Real Name 2001-08-15 14:55:19 UTC
yes it is fixed, thanks.


Note You need to log in before you can comment on or make changes to this bug.